Package org.eclipse.cdt.core.dom.ast

# Interface IASTPreprocessorElseStatement

All Superinterfaces:
  `IASTNode`, `IASTPreprocessorStatement`

public interface IASTPreprocessorElseStatement extends IASTPreprocessorStatement
This interface represent a preprocessor #else statement.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorStatement

`MACRO_NAME`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`taken()`
Was this #else branch taken?

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Method Details

### taken

boolean taken()
Was this #else branch taken?

Returns:
  boolean